<?php
/*-------------------------------------------------------+
| PHP-Fusion Content Management System
| Copyright (C) 2002 - 2008 Nick Jones
| http://www.php-fusion.co.uk/
+--------------------------------------------------------+
| Released under the terms & conditions of v2 of the
| GNU General Public License. For details refer to
| the included gpl.txt file or visit http://gnu.org
+--------------------------------------------------------+
Przystosowanie do v7: bartek124
E-Mail: bartek124@php-fusion.pl
+--------------------------------------------------------*/
if (!defined("IN_FUSION")) { die("Access Denied"); }

include INFUSIONS."ip_poll_panel/infusion_db.php";

if (file_exists(INFUSIONS."ip_poll_panel/locale/".$settings['locale'].".php")) {
	include INFUSIONS."ip_poll_panel/locale/".$settings['locale'].".php";
} else {
	include INFUSIONS."ip_poll_panel/locale/English.php";
}

$inf_title = $locale['PLAN_TITLE'];
$inf_description = $locale['PLAN_DESC'];
$inf_version = "1.0";
$inf_developer = "Digitanium & bartek124";
$inf_email = "digitanium@php-fusion.co.uk";
$inf_weburl = "http://www.php-fusion.co.uk";

$inf_folder = "ip_poll_panel";

$inf_newtable[1] = DB_IP_POLLS." (
		poll_id mediumint(8) unsigned NOT NULL auto_increment,
		poll_title varchar(200) NOT NULL default '',
		poll_opt_0 varchar(200) NOT NULL default '',
		poll_opt_1 varchar(200) NOT NULL default '',
		poll_opt_2 varchar(200) NOT NULL default '',
		poll_opt_3 varchar(200) NOT NULL default '',
		poll_opt_4 varchar(200) NOT NULL default '',
		poll_opt_5 varchar(200) NOT NULL default '',
		poll_opt_6 varchar(200) NOT NULL default '',
		poll_opt_7 varchar(200) NOT NULL default '',
		poll_opt_8 varchar(200) NOT NULL default '',
		poll_opt_9 varchar(200) NOT NULL default '',
		poll_votes_0 MEDIUMINT(8) UNSIGNED NOT NULL DEFAULT '0',
		poll_votes_1 MEDIUMINT(8) UNSIGNED NOT NULL DEFAULT '0',
		poll_votes_2 MEDIUMINT(8) UNSIGNED NOT NULL DEFAULT '0',
		poll_votes_3 MEDIUMINT(8) UNSIGNED NOT NULL DEFAULT '0',
		poll_votes_4 MEDIUMINT(8) UNSIGNED NOT NULL DEFAULT '0',
		poll_votes_5 MEDIUMINT(8) UNSIGNED NOT NULL DEFAULT '0',
		poll_votes_6 MEDIUMINT(8) UNSIGNED NOT NULL DEFAULT '0',
		poll_votes_7 MEDIUMINT(8) UNSIGNED NOT NULL DEFAULT '0',
		poll_votes_8 MEDIUMINT(8) UNSIGNED NOT NULL DEFAULT '0',
		poll_votes_9 MEDIUMINT(8) UNSIGNED NOT NULL DEFAULT '0',
		poll_ips text NOT NULL,
		poll_started int(10) unsigned NOT NULL default '0',
		poll_ended int(10) unsigned NOT NULL default '0',
		PRIMARY KEY (poll_id)
	) ENGINE=MyISAM;";

$inf_droptable[1] = DB_IP_POLLS;

$inf_adminpanel[1] = array(
	"title" => $locale['PLAN_ADMIN1'],
	"image" => "image.gif",
	"panel" => "ip_poll_admin.php",
	"rights" => "IPP"
);
?>